<!-- #include file="shoplayoutmgrlogo.asp" -->
<!-- #include file="shoplayoutmgrwelcomeboxsquare.asp" -->
<!-- #include file="shoplayoutmgrwelcomeboxstretch.asp" -->
<!-- #include file="shoplayoutmgrhonomenu.asp" -->
<!-- #include file="shoplayoutmgrside.asp" -->
<!-- #include file="shoplayoutmgrcenter.asp" -->
<!-- #include file="shoplayoutmgrfooter.asp" -->
<!-- #include file="shoplayoutmgrtwitter.asp" -->
<!-- #include file="shoplayoutmgrfreeimage.asp" -->
<!-- #include file="shoplayoutmgrfreetext.asp" -->
<!-- #include file="shoplayoutmgrfreeflash.asp" -->
<!-- #include file="shoplayoutmgrblog.asp" -->
<!-- #include file="shoplayoutmgrnews.asp" -->
<!-- #include file="shoplayoutmgrrandomproducts.asp" -->
<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' Home Page Manager routines
'*********************************************************************************

'translate homepage manager para
function translatehpmgrcaptions (pstring)
   if trim(pstring) = "" then
      translatehpmgrcaptions = ""
	  exit function
   end if
   
   if lcase(mid(trim(pstring),1,4)) = "lang" then
      translatehpmgrcaptions = getlang(pstring)
   else
      '700 - 2010.06.08 - Enhancement: W3C updates
      translatehpmgrcaptions = replacehtmlvalue(pstring)
   end if
end function

sub Handle_loadcontainer (value, fieldvalue)
   Value=""
   LoadContainer fieldvalue
end sub

' 7.00 - 2010.03.03 - snippet load container by id
sub LoadContainer(containerid)
   if len(trim(containerid))<= 0 then exit sub
   if isnumeric(containerid) = false then exit sub

   containerid=cleanchars(containerid)
   dim sqlrs,strsql
   strsql="select * from containerbox where id = "& containerid &""
   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   '700 - 2010.09.26 - Enhancement: Speed up front store performance
   sqlrs.open strsql, dbc, adOpenStatic, adlockoptimistic
   if sqlrs.eof then
      '700 - 2010.05.03 - Check all databasae must close after opened.
	  closerecordset sqlrs
      exit sub
   else
      while not sqlrs.eof
	     processcontainerdivname sqlrs
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
end sub

' 7.00 - 2010.03.03 - snippet load container by id - processing container
sub processcontainerdivname (sqlrs)
   select case lcase(sqlrs("containerdivname"))
      case "logo"
	     logo
      case "welcomeboxsquare"
	     if isnull(sqlrs("containername")) or sqlrs("containername") = "" then
	        welcomeboxsquare
         else
		    select case lcase(sqlrs("containername"))
			   case "welcomesection"
			      getwelcomesectionhtml
			   case "minicartsection"
				  getminicartsectionhtml
			   case "formsection"
				  getformsectionhtml
			   case "currency"
				  Navigateshowcurrencies "cur" & sqlrs("id")
			   case "language"
			      Navigateshowlanguages "lang" & sqlrs("id")
			   case "search"
			      navigateshowsearch "custom", "", sqlrs("otheroptions3")
			end select
		 end if
      case "welcomeboxstretch"
	     if isnull(sqlrs("containername")) or sqlrs("containername") = "" then
            welcomeboxstretch
         else
		    select case lcase(sqlrs("containername"))
			   case "welcomesection"
			      getwelcomesectionhtml2
			   case "minicartsection"
				  getminicartsectionhtml2
			   case "formsection"
				  getformsectionhtml2 "",""
			   case "currency"
				  Navigateshowcurrencies "cur" & sqlrs("id")
			   case "language"
			      Navigateshowlanguages "lang" & sqlrs("id")
			   case "search"
			      navigateshowsearch "custom", "", sqlrs("otheroptions3")
			end select
		 end if
      case "leftsidebox", "rightsidebox"
         select case lcase(sqlrs("containername"))
		    case "minicart"
			   gensideminicart sqlrs
			case "categories"
			   gensidecategories sqlrs
			case "search"
			   gensidesearch sqlrs
			case "language"
			   gensidelanguage sqlrs
			case "currency"
			   gensidecurrency sqlrs
			case "featuredpros"
			   gensidefeaturedpros sqlrs
			case "topseller"
			   gensidetopseller sqlrs
			case "page"
			   gensidepage sqlrs
			case "news"
			   gensidenews sqlrs
   	        case "blogs"
			   gensideblogs sqlrs
			case "freetext"
			   gensidefreetext sqlrs
			case "freeimage"
			   gensidefreeimage sqlrs
			case "freeflash"
			   gensidefreeflash sqlrs
			case "randomproducts"
			   gensiderandomproducts sqlrs
			'700 - 2010.07.30 - Enhancement: Add twitter to LoadContainerByName
			case "twitter"
			   gensidetwitter sqlrs

         end select
      case "centerbox"
         select case lcase(sqlrs("containername"))
		    case "contentpage"
			   gencentercontentpage sqlrs
			case "news"
			   gencenternews sqlrs
			case "blogs"
			   gencenterblogs sqlrs
			case "newproducts"
			   gencenternewproducts sqlrs
			case "randomproducts"
			   gencenterrandomproducts sqlrs
			case "freetext"
			   gencenterfreetext sqlrs
			case "freeimage"
			   gencenterfreeimage sqlrs
			case "freeflash"
			   gencenterfreeflash sqlrs
			'700 - 2010.07.30 - Enhancement: Add twitter to LoadContainerByName
			case "twitter"
			   gencentertwitter sqlrs
         end select
      case "footerbox"
         select case lcase(sqlrs("containername"))
		    case "abc"
			   genfooterabc sqlrs
			case "freetext"
			   genfooterfreetext sqlrs
			case "powerby"
			   genfooterpowerby sqlrs
			case "links"
			   genfooterlinks sqlrs
			case "freeimage"
			   genfooterfreeimage sqlrs
			case "freeflash"
			   genfooterfreeflash sqlrs
			'700 - 2010.07.30 - Enhancement: Add twitter to LoadContainerByName
			case "twitter"
			   genfootertwitter sqlrs
         end select			
   end select
end sub

' 7.00 - 2010.03.03 - snippet load container by id - search box
sub navigateshowsearch (prefix, strcaption, advanceflag)
%>
   <form method="post" action="shopsearch.asp?search=Yes" id="<%=prefix%>form3" name="<%=prefix%>form3">
   <div>
<%
   if isnull(strcaption) = false then
      if trim(strcaption) <> "" then
         response.write translatehpmgrcaptions(strcaption)
      end if
   end if
   
   '700 - 2010.06.03 - Enhancement: W3C updates
   '700 - 2010.07.14 - Enhancement: Ajax search able to be switch off
   '701 - 2011.03.15 - Enhancement: Speed up store performance
   if getconfig("xAjaxSearchEnable") = "No" or getconfig("xLoadJLibPrototype") = "No" then
%>
     <input type="text" class="searchfield" name="keyword" size="19" value="<%=GetLang("langsearchboxdefault")%>" onclick="clearfield(this.form)" />
<%
   else
%>
     <input type="text" class="searchfield" name="keyword" size="19" value="<%=GetLang("langsearchboxdefault")%>" onclick="clearfield(this.form)" onkeyup="getproductdesc(this.value,'<%=prefix%>')" />
<%
   end if
%>
     <input type="submit" class="submitbtn" value="<%=GetLang("langcommongo")%>" />
<%
   if lcase(advanceflag) = "yes" then
      htmlwrite "<br /><span><a href='shopsearch.asp'>"& GetLang("LangAdvancedSearch") &"</a></span>"
   end if
%>
   </div>
   <span id="<%=prefix%>resultlist" class="searchresultwrapper"></span>
   </form>
<%
end sub

'700 - 2010.04.22 - layout manager enhancement - added snippet - loadcontainerbyname
sub LoadContainerByName(containerdivname,containername,seqno)
   if len(trim(containerdivname))<= 0 then exit sub
   if len(trim(containername))<= 0 then exit sub

   containerdivname=cleanchars(containerdivname)
   containername=cleanchars(containername)
   dim sqlrs,strsql,countseqno
   
   '700 - 2010.05.24 - Enhancement: MsSQL with double bytes (utf8) issues
   if trim(containername) <> "" then
      '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
      strsql="select * from containerbox where containerdivname = "& sqlserverprefixn &"'"& tosql(containerdivname,"Text") &"' and containername = "& sqlserverprefixn &"'"& tosql(containername,"Text") &"' "
      GenLayoutMgrStorematchSQL "and", strsql
	  strsql = strsql & " order by id"
   else
      '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
      strsql="select * from containerbox where containerdivname = "& sqlserverprefixn &"'"& tosql(containerdivname,"Text") &"' "
      GenLayoutMgrStorematchSQL "and", strsql
	  strsql = strsql & " order by id"
   end if
   countseqno = 1
   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   '700 - 2010.09.26 - Enhancement: Speed up front store performance
   sqlrs.open strsql, dbc, adOpenStatic, adlockoptimistic
   if sqlrs.eof then
      '700 - 2010.05.03 - Check all databasae must close after opened.
	  closerecordset sqlrs
      exit sub
   else
      while not sqlrs.eof
	     if isnumeric(seqno) then
		    if cdbl(countseqno) = cdbl(seqno) then
			   processcontainerdivname sqlrs
			   '700 - 2010.05.03 - Check all databasae must close after opened.
			   closerecordset sqlrs
			   exit sub
			end if
		 else
		   processcontainerdivname sqlrs
		   '700 - 2010.05.03 - Check all databasae must close after opened.
		   closerecordset sqlrs
		   exit sub
		 end if
		 countseqno = countseqno + 1
	     sqlrs.movenext
	  wend
   end if

   closerecordset sqlrs
end sub

'700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
'generate storematch sql query for layout manager
sub GenLayoutMgrStorematchSQL (operatorstr,passsql)
   if getconfig("xproductmatch") = "No" then exit sub
   if trim(xshopid) <> "" then passsql = passsql & " "& operatorstr &" storematch = "& sqlserverprefixn &"'"& xshopid &"'"
end sub
%>