<!--#include file="admin$db.asp"-->
<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' Stores a file on the web host. called from shopupload.asp
'*********************************************************************************

'700 - 2010.06.28 - Enhancement: Write & Read utf8 format
'700 - 2010.09.08 - Enhancment: Cover Old IIS issue
Assigncodepagevalue 1252

const xuploadtypes = "txt,csv" 'Allowed file types for import upload facility (separate each extension with a comma)
ShopCheckAdmin ""
dim tablename
dim CatalogId
dim product
dim mydirectory
dim fullname
dim absoluteFile
dim UploadRequest
dim uploadType
uploadtype = ucase(xupload)
HandleStandard
if SError<>"" then
   WriteErrors
else
   Response.redirect "shopa_import.asp?table="& getsess("importtable") &""
end if

'location = file location
sub HandleStandard
   dim pos
   dim validTypes, extension, fileOkay
   Response.Expires = 0
   Response.Buffer = TRUE
   Response.clear
   byteCount = Request.TotalBytes

   RequestBin = Request.BinaryRead(byteCount)
   set UploadRequest = createobject("Scripting.Dictionary")
   BuildUploadRequest RequestBin
   mydirectory = UploadRequest.item("directory").item("Value")
   contentType = UploadRequest.item("blob").item("ContentType")
   filepathname = UploadRequest.item("blob").item("FileName")
   session("UploadFilename") = filepathname
   if Filepathname = "" then
      Response.Redirect "shopa_import.asp" & "?msg=" & Server.URLEncode ("Missing file name")
   end if
   filename = right(filepathname, len(filepathname) - InstrRev(filepathname, "\"))

   'Check file type validation 16/3/2005
   validTypes = split(xuploadtypes, ",")
   fileOkay = false
   for each extension in validTypes
      'check file extension against each item in the type array
      if lcase(right(Filepathname, len(trim(extension)))) = lcase(trim(extension)) then
         fileOkay = true 'if the extension matches an array item, it's okay to upload
      end if
   next
   if fileOkay = false then 'if the extension didn't match anything in the type array, return an error
      ShopError GetLang("LangMenuFileName") & " is an invalid file format for uploading.<br />Valid types: " & join(validTypes, ", ")
   end if
   value = UploadRequest.item("blob").item("Value")
   if err.number> 0 then
      SError = "No file selected"
      HandleError
   end if
   if mydirectory<> "" then
      fullname = mydirectory & "/" & filename
   else
      fullname = filename
   end if
   'Create FileSytemObject Component
   set ScriptObject = Server.createobject("Scripting.FileSystemObject")
   'Create and Write to a File
   pos = instr(fullname, ":")
   if pos = 0 then
      absoluteFile = Server.mappath(fullname)
   else
      absolutefile = fullname
   end if
   on error resume next
   set MyFile = ScriptObject.createtextfile(absolutefile)
   if err.number>0 then
      HandleError
   end if
   for i = 1 to LenB(value)
      MyFile.write chr(AscB(MidB(value, i, 1)))
   next
   MyFile.close

   '701 - 2011.11.17 - Bug Fix: Not able to direct import ANSI text file
   dim readstrutf8
   readstrutf8 = ReadFromTextFile (fullname,"utf-8")
   WriteToTextFile fullname,readstrutf8,"utf-8"

   session("importfilename") = fullname
   session("absolutename") = absolutenmae
   session("Uploaddirectory") = mydirectory
end sub

sub BuildUploadRequest(RequestBin)
   'Get the boundary
   PosBeg = 1
   PosEnd = InstrB(PosBeg, RequestBin, getByteString(chr(13)))
   boundary = MidB(RequestBin, PosBeg, PosEnd - PosBeg)
   boundaryPos = InstrB(1, RequestBin, boundary)
   'Get all data inside the boundaries
   do until (boundaryPos = InstrB(RequestBin, boundary & getByteString("--")))
      'Members variable of objects are put in a dictionary object
      dim UploadControl
      set UploadControl = createobject("Scripting.Dictionary")
      'Get an object name
      Pos = InstrB(BoundaryPos, RequestBin, getByteString("Content-Disposition"))
      Pos = InstrB(Pos, RequestBin, getByteString("name="))
      PosBeg = Pos + 6
      PosEnd = InstrB(PosBeg, RequestBin, getByteString(chr(34)))
      name = getString(MidB(RequestBin, PosBeg, PosEnd - PosBeg))
      PosFile = InstrB(BoundaryPos, RequestBin, getByteString("filename="))
      PosBound = InstrB(PosEnd, RequestBin, boundary)
      'Test if object is of file type
      if PosFile<>0 and (PosFile<PosBound) then
         'Get Filename, content-type and content of file
         PosBeg = PosFile + 10
         PosEnd = InstrB(PosBeg, RequestBin, getByteString(chr(34)))
         FileName = getString(MidB(RequestBin, PosBeg, PosEnd - PosBeg))
         'Add filename to dictionary object
         UploadControl.add "FileName", FileName
         Pos = InstrB(PosEnd, RequestBin, getByteString("Content-Type:"))
         PosBeg = Pos + 14
         PosEnd = InstrB(PosBeg, RequestBin, getByteString(chr(13)))
         'Add content-type to dictionary object
         ContentType = getString(MidB(RequestBin, PosBeg, PosEnd - PosBeg))
         UploadControl.add "ContentType", ContentType
         'Get content of object
         PosBeg = PosEnd + 4
         PosEnd = InstrB(PosBeg, RequestBin, boundary) -2
         value = MidB(RequestBin, PosBeg, PosEnd - PosBeg)
      else
         'Get content of object
         Pos = InstrB(Pos, RequestBin, getByteString(chr(13)))
         PosBeg = Pos + 4
         PosEnd = InstrB(PosBeg, RequestBin, boundary) -2
         value = getString(MidB(RequestBin, PosBeg, PosEnd - PosBeg))
      end if
      'Add content to dictionary object
      UploadControl.add "Value" , value
      'Add dictionary object to main dictionary
      UploadRequest.add name, UploadControl
      'Loop to next object
      BoundaryPos = InstrB(BoundaryPos + LenB(boundary), RequestBin, boundary)
   loop
end sub

'String to byte string conversion
function getByteString(StringStr)
   for i = 1 to len(StringStr)
      char = mid(StringStr, i, 1)
      getByteString = getByteString & chrB(AscB(char))
   next
end function

'Byte string to string conversion
function getString(StringBin)
   getString = ""
   for intCount = 1 to LenB(StringBin)
      getString = getString & chr(AscB(MidB(StringBin, intCount, 1)))
   next
end function

sub HandleError
   SError = "Errors occurred trying to create " & absolutefile & "<br />"
   SError = SError & "Error Descr.=" & err.description & "<br />"
   SError = SError & "Source=" & err.source & "<br />"
end sub

sub WriteErrors
   adminpageheader
   HtmlWrite GetConfig("xfont") & SError & ""
   adminpagetrailer
end sub
%>